From 5948be5496ca25a478b18b6e713866550ce03fb8 Mon Sep 17 00:00:00 2001
From: desbma <desbma@users.noreply.github.com>
Date: Sun, 28 May 2017 14:25:01 +0200
Subject: [PATCH] Jump to time if t=xxx is in YouTube URL

---
 lib/main.js | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

diff --git a/lib/main.js b/lib/main.js
index c46feea..b50a243 100644
--- a/lib/main.js
+++ b/lib/main.js
@@ -23,15 +23,19 @@ function play_video(url) {
     else
         var args = [];
 
+  // Checks if running on Youtube
+  if (url.indexOf("youtube.com") > -1) { // url is Youtube link
 
-  if (simple_prefs.prefs.ytStartPlAtIndex) {
+    // Parses url params to an object returning object like:
+    // {"v":"g04s2u30NfQ","index":"3","list":"PL58H4uS5fMRzmMC_SfMelnCoHgB8COa5r"}
+    var qs = querystring.parse(url.split("?")[1]);
 
-    // Checks if running on Youtube
-    if (url.indexOf("youtube.com") > -1) { // url is Youtube link
+    if (parseInt(qs["t"]) > 0) {
+      // jump to start time
+      args.concat(["--start", qs["t"]]);
+    }
 
-      // Parses url params to an object returning object like:
-      // {"v":"g04s2u30NfQ","index":"3","list":"PL58H4uS5fMRzmMC_SfMelnCoHgB8COa5r"}
-      var qs = querystring.parse(url.split("?")[1]);
+    if (simple_prefs.prefs.ytStartPlAtIndex) {
 
       if (qs["list"] && qs["index"]) { // we have the playlist and the video index
 
